# vim: set ft=spec: -*- rpm-spec -*-

# %%branch_switch set %%branch_release use
#%%define branch_switch Mxx

Name: moodle-MySQL-tools
Version: 0.3
Release: %branch_release alt1

Summary: Moodle MySQL configuration tools
License: %gpl2plus
Group: System/Configuration/Other

Packager: Aleksey Avdeev <solo@altlinux.ru>
BuildArch: noarch

Source10: moodle-tools.alternatives

Source20: mt-MySQL-checkdb.sh
Source21: mt-MySQL-createdb.sh
Source22: mt-MySQL-setdb.sh
Source23: mt-MySQL-setdbuser.sh

BuildRequires(pre): rpm-macros-branch
BuildPreReq: rpm-build-licenses
BuildPreReq: rpm-macros-moodle
BuildPreReq: rpm-macros-alternatives

%description
%summary

%install
install -pD -m0644 %SOURCE10 %buildroot%_altdir/%name

install -pD -m0755 %SOURCE20 %buildroot%_sbindir/mt-MySQL-checkdb
install -pD -m0755 %SOURCE21 %buildroot%_sbindir/mt-MySQL-createdb
install -pD -m0755 %SOURCE22 %buildroot%_sbindir/mt-MySQL-setdb
install -pD -m0755 %SOURCE23 %buildroot%_sbindir/mt-MySQL-setdbuser

sed -i '
s|%%_sbindir|%_sbindir|g
' %buildroot%_altdir/%name %buildroot%_sbindir/mt-*

%files
%_sbindir/mt-*
%_altdir/%name

%changelog
* Tue Mar 06 2012 Aleksey Avdeev <solo@altlinux.ru> 0.3-alt1
- Fix shell scripts

* Wed Feb 29 2012 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt1
- Fix mt-MySQL-setdb

* Thu Feb 23 2012 Aleksey Avdeev <solo@altlinux.ru> 0.1-alt1
- Initial build for ALT Linux Sisyphus
